<!DOCTYPE html>
<html>
    <head>
        <title>Bootstrap Example</title>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
      </head>
<body>
    <div class = "container">
        <pre class = "text-center text-info"> Hãy tạo bảng dữ liệu nhân viên</pre>
        <table id="user-table" class="table table-bordered table-striped table-hover">
            <thead class = "text-center" style = "font-weight: bold;">
                <td class = "col-sm-2">id</td>
                <td class = "col-sm-3">First name</td>
                <td class = "col-sm-3">Last name</td>
                <td class = "col-sm-4">picture</td>
            </thead>
            <tbody>
                
            </tbody>
            
        </table>
    </div>
    
</body>
<script>
    //REGION 1:
    const gEND_ROW_TABLE = -1;
    // hằng số số thứ tự các cột
    const gCOLUMN_USER_ID = 0;
    const gCOLUMN_FIRSTNAME = 1;
    const gCOLUMN_LASTNAME = 2;
    const gCOLUMN_PICTURE = 3;
    
    //REGION 3

    // đây là dữ liệu dùng tạo bảng
    var gEmployeeList =        `{
        "employees": {
            "employee": [
            {
                "id": "1",
                "firstName": "Tom",
                "lastName": "Cruise",
                "photo": "https://jsonformatter.org/img/tom-cruise.jpg"
            },
            {
                "id": "2",
                "firstName": "Maria",
                "lastName": "Sharapova",
                "photo": "https://jsonformatter.org/img/Maria-Sharapova.jpg"
            },
            {
                "id": "3",
                "firstName": "Robert",
                "lastName": "Downey Jr.",
                "photo": "https://jsonformatter.org/img/Robert-Downey-Jr.jpg"
            }
            ]
        }
        }`
    var vEmployeeDataObj = JSON.parse(gEmployeeList);
    showDataOnTable(vEmployeeDataObj.employees.employee);
    
    //REGION 4
    // hiển thị dữ liệu lên table
    function showDataOnTable(paramUserList) {
        console.log("bắt đầu lấy dữ liệu....")
        var vTable = $("#user-table");
        var vTableBody = $("tbody")[0];

        for (var bIndex = 0; bIndex < paramUserList.length; bIndex++) {
            var vUser = paramUserList[bIndex];
            // tạo dòng mưới cho bẳng và ghi vào các giá trị 
            var row = vTableBody.insertRow(gEND_ROW_TABLE);
            var vCellUserId = row.insertCell(gCOLUMN_USER_ID);
            var vCellFirstname = row.insertCell(gCOLUMN_FIRSTNAME);
            var vCellLastname = row.insertCell(gCOLUMN_LASTNAME);
            var vCellPicture = row.insertCell(gCOLUMN_PICTURE);
            
            vCellUserId.innerHTML = vUser.id;
            vCellFirstname.innerHTML = vUser.firstName;
            vCellLastname.innerHTML = vUser.lastName;
            vCellPicture.innerHTML = "";
            var vImg = document.createElement("img");
            vImg.src = vUser.photo;
            vCellPicture.appendChild(vImg);
        }
    }
</script>
</html>